### Method

# Qmi MessageWdaGetDataFormatInput ref

since: 1.10

#### Declaration [src]

    QmiMessageWdaGetDataFormatInput*
    qmi_message_wda_get_data_format_input_ref (
      QmiMessageWdaGetDataFormatInput* self
    )

#### Description [src]

Atomically increments the reference count of `self` by one.

Available since: 1.10

#### Return value

Type: `QmiMessageWdaGetDataFormatInput`

The new reference to `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.